Author Topic: Blockade Runner won't start? Follow this checklist!  (Read 9544 times)

Aaron

  • BR Developer
  • Creative Director, ZanMgt
  • *****
  • Posts: 2016
  • Available on the IRC from 9:00am to 5:00pm (EST)
    • http://www.zanmgt.com
Blockade Runner won't start? Follow this checklist!
« on: November 05, 2011, 05:11:41 pm »
We're seeing a lot of people having issues with getting Blockade Runner to run and we're beginning to wonder whether our new installer's to blame.  Just to be sure, we ask that if you can't get Blockade Runner to run, to follow the checklist below:

We're sorry for this inconvenience; if you do stumble upon a solution, please let us know so we can attempt to resolve the issue for others!

1. Confirm you're running the latest version of Blockade Runner

2. Confirm that you're running Blockade Runner.exe as an Administrator (Win 7 / Vista)
Right-click Blockade Runner.exe > Run as Administrator.  This is planned to be resolved in a future version of Blockade Runner.



3. Run "CheckRequirements.exe" in the Blockade Runner folder
After all three dependencies detect successfully, the window will say "Loading..." and then disappear. Moments later (it can take a minute) Blockade Runner should appear (.... or you get a crash error).

In the event Blockade Runner still crashes on startup it might be wise to check for the dependencies manually. We're still testing the CheckRequirements.exe on other machines, so this would help us to confirm it's working properly.
Quote
3.1. Confirm you have the DirectX 9.0c runtime files installed (even if you already have DirectX10/11)
Check your C:\Windows\System32 and (for 64-bit) C:\Windows\SysWow64 for the following .DLL's <photo of dll's>



Alternatively, download and run the web installer from the official Microsoft website here: http://www.microsoft.com/download/en/details.aspx?id=35

3.2. Confirm you have Microsoft .NET Framework 3.5.1
Vista/Win7: Start > Control Panel > Programs and Features > Turn Windows Features On or Off, and look for "Microsoft .NET Framework 3.5.1" (make sure its checked on)
XP: Start > Control Panel > Programs and Features > Microsoft.NET 3.5.1
Alternatively, download Dot NET 3.5.1 from here.
Note that you must have 3.5.1 even if you already have 4.0



3.3. Confirm you have Microsoft XNA 3.1
Go to Start > Control Panel > Programs and Features > Scroll down to "Microsoft XNA Framework Redistributable 3.1"
Alternatively, download XNA 3.1 from here.
Note that you must have 3.1 even if you already have 4.0



4. Delete ALL .xml's in the Blockade Runner folder
Sometimes an older settings.xml can disrupt a new settings.xml when updating.  Deleting the settings.xml can resolve this issue.

5. Try to use both the Installer and Binaries
If one fails, try the other.
- Installer
- Binary (raw files)

6. Confirm that older versions of Blockade Runner crash on startup (starting from the latest and working backwards).
Version Archive

Finally: Send us your machine's "dxdiag.txt" along with a confirmation of which steps you've completed in the checklist above, and for step 6 which versions you tried.
XP: Start > Run > dxdiag > Save All Information...
Vista/Win7: Start > type "dxdiag" > Save All Information...
E-mail: support@zanmgt.com

Send me a PM if there's anything that needs to be corrected on this page.
« Last Edit: April 02, 2012, 10:51:21 am by Aaron »
Stop by the IRC and say Hi! -- Online Dev Chat